#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Wed Apr 22 14:45:40 2020

@author: Oana
"""



import numpy as np
import pandas as pd
import statsmodels.api as sm
import statsmodels.formula.api as smf

data = pd.read_csv("/Users/Oana/Dropbox/Grad School/Dyad Workshop in R/TSD.csv")


# first just with actor ladder 

mixed_model1 = smf.mixedlm("overall_tutoring_1_00 ~ ladder_now_1_00C + role + ladder_now_1_00C*role", data, groups = data['dyad'])
mdf = mixed_model1.fit()
print(mdf.summary())


# now add partner ladder

mixed_model2 = smf.mixedlm("overall_tutoring_1_00 ~ ladder_now_1_00C + ladder_now_2_00C+ role + ladder_now_1_00C*role + ladder_now_2_00C*role", data, groups = data['dyad'])
mdf2 = mixed_model2.fit()
print(mdf2.summary())

